import axios from "axios";

const backendUrl = "http://localhost:8080/"

// TODO: spawn a error modal
function defaultApiErrorHandler(err){
    console.log(err)
}

function defaultApiSuccessHandler(response){
    console.log(response)
}

function callApi(endpoint: string, onSuccessHandler, onErrorHandler): void {
    console.log("callApi: "+ endpoint)
    axios.get(backendUrl + endpoint).then(
        onSuccessHandler == null ? defaultApiSuccessHandler : onSuccessHandler
    ).catch(
        (err) => {
            onErrorHandler == null ? defaultApiErrorHandler(err): onErrorHandler(err);
        }
    )
}

export {callApi}